Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1100963 - flumotion's logrotate.d file needs to set "su root flumotion"
Summary: flumotion's logrotate.d file needs to set "su root flumotion"
Keywords:
Status: CLOSED DUPLICATE of bug 790345
Alias: None
Product: Fedora
Classification: Fedora
Component: flumotion
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Vander Stichele
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-24 14:38 UTC by Pieter D.J. Krul
Modified: 2015-05-08 13:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 790345
Environment:
Last Closed: 2015-05-08 13:09:45 UTC
Type: ---


Attachments (Terms of Use)

Description Pieter D.J. Krul 2014-05-24 14:38:29 UTC
+++ This bug was initially created as a clone of Bug #790345 +++

Description of problem:
flumotion's logrotate.d file needs to set "su root flumotion" to suppress logrotate errors like:

error: skipping "/var/log/flumotion/*.log" because parent directory has insecure permissions (It's world writable or writable by group which is not "root") Set "su" directive in config file to tell logrotate which user/group should be used for rotation.

Trivial patch against current git is:

diff --git a/doc/redhat/flumotion.logrotate b/doc/redhat/flumotion.logrotate
index 4d5e566..e83b940 100644
--- a/doc/redhat/flumotion.logrotate
+++ b/doc/redhat/flumotion.logrotate
@@ -2,6 +2,7 @@
     missingok
     notifempty
     sharedscripts
+    su root flumotion
     postrotate
         find /var/run/flumotion -type f -print | while read f; do
             /usr/bin/kill -HUP `cat $f 2>/dev/null` 2>/dev/null || true

Reported upstream as https://code.flumotion.com/trac/ticket/1539

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Install flumotion
2. Run /etc/cron.daily/logrotate

--- Additional comment from Fedora End Of Life on 2013-04-03 13:52:04 EDT ---

This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 1 Sergio Basto 2015-05-08 13:09:45 UTC

*** This bug has been marked as a duplicate of bug 790345 ***


Note You need to log in before you can comment on or make changes to this bug.